classification
Title: 3.4 cherry-pick: d50a95fab002 add tracemalloc.Traceback.format() method
Type: Stage:
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: larry Nosy List: larry, python-dev, r.david.murray, vstinner
Priority: release blocker Keywords:

Created on 2014-02-16 23:35 by vstinner, last changed 2016-07-10 16:51 by r.david.murray. This issue is now closed.

Messages (4)
msg211375 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-02-16 23:35
As the author of the new tracemalloc of Python 3.4, I would to see this new method in Python 3.4 final. See issue #20616 for more information.

changeset:   89229:d50a95fab002
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Sun Feb 16 23:53:38 2014 +0100
files:       Doc/library/tracemalloc.rst Lib/test/test_tracemalloc.py Lib/tracemalloc.py Misc/NEWS
description:
Issue #20616: Add a format() method to tracemalloc.Traceback.
msg211591 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-02-19 03:20
ok.
msg270101 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-07-10 16:48
New changeset 74109d87283f by R David Murray in branch '3.5':
#20647: Update dictobject.c comments to account for randomized string hashes.
https://hg.python.org/cpython/rev/74109d87283f

New changeset 31cdf23da19d by R David Murray in branch 'default':
Merge: #20647: Update dictobject.c comments to account for randomized string hashes.
https://hg.python.org/cpython/rev/31cdf23da19d
msg270104 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-07-10 16:51
Drat.  Typoed the message number, this commit is for #20674.
History
Date User Action Args
2016-07-10 16:51:04r.david.murraysetnosy: + r.david.murray
messages: + msg270104
2016-07-10 16:48:10python-devsetnosy: + python-dev
messages: + msg270101
2014-02-20 06:28:00larrysetstatus: open -> closed
resolution: fixed
2014-02-19 03:20:32larrysetmessages: + msg211591
2014-02-16 23:35:58vstinnercreate